Update a view

PATCH
/views/{viewId}

Changes name, icon (null clears it) and/or filters (replaces the whole tree). At least one field.

Authorization

apiKey
Authorization<token>

Your 48 character Emelia API key, the same as for the Emelia API, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api. Disabling a key can take up to 5 minutes to apply to the Inbox API.

In: header

Path Parameters

viewId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

At least one field. filters replaces the whole tree.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/views/cmvwacme0000000000000001" \  -H "Authorization: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "name": "Hot leads (unread)"  }'
{  "view": {    "id": "cmvwacme0000000000000001",    "name": "Hot leads (unread)",    "icon": "🔥",    "filters": {      "id": "g1",      "_and": [        {          "id": "c1",          "label": "ai_label",          "type": "contains",          "value": "cmtgacme0000000000000002"        },        {          "id": "c2",          "label": "read_status",          "type": "is_false",          "value": ""        }      ]    },    "mailboxIds": [],    "createdAt": "2026-10-01T11:00:00.000Z"  }}